# Features
* [wcml-2988] Skip Currency Switcher caching for NginxCache.
* [wcml-2985] Improve performance on plugin page.

# Fixes
* [wcml-3020] Fixed missing products on shop page in second language for some themes when slug is identical to default language.
* [wcml-3013] Fixed wrong strings localization on some WooCommerce ajax actions.
* [wcml-3005] Fixed Cash on delivery "Payment method instructions" not translated in the customer order emails.
* [wcml-2939] Fixed RTL styling on WCML Status Tab.

# Compatibility
* [wcml-3027] Fixed notice for Product-Addon and specific field settings.
* [wcml-2990] Composite products fixed a wrong displayed discounted price.
* [wcml-2913] Fixed not pre-selected custom attributes for variable Bundle product.
* [wcml-2888] Fixed missed images for product translation created via REST API.
* [wcml-2873] Added new setting option for synchronizing not translated media on translated product front page.
* [wcml-2857] Fixed not duplicated variation description while duplicating variable product to another language.
* [wcml-2850] Fixed not matched variation on translated variable product page when "Translatable - use translation if available or fallback to default language" mode enabled for products and global attribute terms are translated.
* [wcml-2824] Fixed overlapping columns on WooCommerce Order Statuses table.
* [wcml-2799] WooCommerce Bookings compatibility - fixed availability count duplication while updating original product and bookings were made in the second language.
* [wcml-2691] wcml_client_currency hook not applied in some cases
* [wcml-2645] Fixed variation product title modifying after switching language on cart page in specific situations.
* [wcml-2553] Fixed mixed strings language on variable product admin edit page in not admin language.

# Performances
* [wcml-2992] Fixed performance when a large number of shipping methods are defined.
* [wcml-2957] Long query to get currencies removed from WCML to optimise performance.

# Usability
* [wcml-2984] Fixed cart total shipping converted twice when enabled custom settings for gateways and use not default currency as a currency for gateway.
* [wcml-2983] Fixed converted product price when using custom gateway settings for second currency.

# API
* [wcml-3003] Fixed notice while importing xliff translations with custom attributes in some specific cases.